<ng-autocomplete
  #autocomplete
  [data]="data"
  [searchKeyword]="keyword"
  (selected)='onSelectItem($event)'
  (inputChanged)='onChangeSearch($event)'
  (inputFocused)='onFocusedSearch($event)'
  [debounceTime]="600"
  [isLoading]="isLoading"
  [minQueryLength]="1"
  [itemTemplate]="itemTemplate"
  [notFoundTemplate]="notFoundTemplate"
  placeholder="Enter SKU"
>
</ng-autocomplete>

<ng-template #itemTemplate let-item>
  <a [innerHTML]="item.itemInfo"></a>
</ng-template>

<ng-template #notFoundTemplate let-notFound>
  <div [innerHTML]="notFound"></div>
</ng-template>
